> For the complete documentation index, see [llms.txt](https://docs.umbraco.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.umbraco.com/ai-in-umbraco/17.latest/management-api/connections/capabilities.md).

# List Capabilities

Get information about available AI capabilities across all connections.

## Endpoints

| Method | Endpoint                                                                       | Description                                         |
| ------ | ------------------------------------------------------------------------------ | --------------------------------------------------- |
| GET    | `/umbraco/ai/management/api/v1/connections/capabilities`                       | List all available capabilities                     |
| GET    | `/umbraco/ai/management/api/v1/connections/capabilities/{capability}`          | Get connections that support a capability           |
| GET    | `/umbraco/ai/management/api/v1/connections/{connectionIdOrAlias}/capabilities` | Get capabilities supported by a specific connection |

## List All Capabilities

### Endpoint

```
GET /umbraco/ai/management/api/v1/connections/capabilities
```

### Response (200 OK)

{% code title="Response" %}

```json
{
    "items": ["Chat", "Embedding"]
}
```

{% endcode %}

This returns capabilities that are available from at least one configured connection.

### Example

{% code title="cURL" %}

```bash
curl -X GET "https://your-site.com/umbraco/ai/management/api/v1/connections/capabilities" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
```

{% endcode %}

## Get Connections by Capability

### Endpoint

```
GET /umbraco/ai/management/api/v1/connections/capabilities/{capability}
```

### Path Parameters

| Parameter    | Type   | Description                       |
| ------------ | ------ | --------------------------------- |
| `capability` | string | Capability name (Chat, Embedding) |

### Response (200 OK)

{% code title="Response" %}

```json
{
    "items": [
        {
            "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
            "alias": "openai-prod",
            "name": "OpenAI Production",
            "providerId": "openai",
            "isActive": true
        }
    ],
    "total": 1
}
```

{% endcode %}

### Example

{% code title="cURL" %}

```bash
curl -X GET "https://your-site.com/umbraco/ai/management/api/v1/connections/capabilities/Chat" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
```

{% endcode %}

## Get Capabilities for a Connection

### Endpoint

```
GET /umbraco/ai/management/api/v1/connections/{connectionIdOrAlias}/capabilities
```

### Path Parameters

| Parameter             | Type   | Description              |
| --------------------- | ------ | ------------------------ |
| `connectionIdOrAlias` | string | Connection GUID or alias |

### Response (200 OK)

{% code title="Response" %}

```json
{
    "items": ["Chat", "Embedding"]
}
```

{% endcode %}

This returns the capabilities supported by the specified connection's provider.

### Example

{% code title="cURL" %}

```bash
curl -X GET "https://your-site.com/umbraco/ai/management/api/v1/connections/openai-prod/capabilities" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
```

{% endcode %}

## Available Capabilities

| Capability  | Description                           |
| ----------- | ------------------------------------- |
| `Chat`      | Conversational AI and text generation |
| `Embedding` | Vector embeddings for semantic search |

## Use Cases

### Check Before Creating Profile

{% code title="JavaScript" %}

```javascript
async function canCreateChatProfile() {
    const response = await fetch("/umbraco/ai/management/api/v1/connections/capabilities/Chat", {
        credentials: "include",
    });

    const { items } = await response.json();
    return items.length > 0;
}
```

{% endcode %}

### Get Available Capabilities

{% code title="JavaScript" %}

```javascript
async function getAvailableCapabilities() {
    const response = await fetch("/umbraco/ai/management/api/v1/connections/capabilities", { credentials: "include" });

    const { items } = await response.json();
    return items;
}

// Usage
const capabilities = await getAvailableCapabilities();
// ["Chat", "Embedding"]
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.umbraco.com/ai-in-umbraco/17.latest/management-api/connections/capabilities.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
